Running rtl_sdr on Debian 7.0, GLIBC

mdm1

New Member
Joined
Nov 16, 2022
Messages
1
Reaction score
0
Credits
19
I'm trying to run RTL_SDR on Debian 7, but I keep getting the following errors:
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.17' not found (required by /lib/libusb-1.0.so.0)
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.25' not found (required by /lib/libudev.so.1)
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.16' not found (required by /lib/libudev.so.1)
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.26' not found (required by /lib/libudev.so.1)
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.17' not found (required by /lib/libudev.so.1)
/usr/bin/rtl_sdr: /lib/mipsel-linux/gnu/libc.so.6: version 'GLIB_2.14' not found (required by /lib/libudev.so.1)
I also ran dpkg -l, which states this:
ii glibc 2.27-1 mipsel The GNU libc libraries
I'm running this on a MIPSEL machine, so any links to MIPSEL binaries would be appreciated, but any help in general would also be appreciated as well.
 


Brickwizard

Well-Known Member
Joined
Apr 28, 2021
Messages
3,469
Reaction score
2,297
Credits
25,815
Welcome to the forums, Would I be correct in thinking you are a ham?
then start with this article from 6 yrs ago..
 

Lord Boltar

Well-Known Member
Joined
Nov 24, 2020
Messages
2,037
Reaction score
1,438
Credits
15,098
The GLIB files you are missing can be downloaded from here - http://archive.debian.org/debian/pool/main/g/glibc/
except for 2.14, 2.16 and 2.17 which are no longer available and have been deprecated - so whatever app needs it you cannot get it just too old
also Debian 7 is dead need to use Debian 11 - also Debian 11 supports rtl-sdr 0.6.0-3
 
Last edited:
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation


Top